bitnor.hpp File Reference
`#include <msgpack/preprocessor/config/config.hpp>`

Go to the source code of this file.

## Macros

#define | MSGPACK_PP_BITNOR(x, y) MSGPACK_PP_BITNOR_OO((x, y))
#define | MSGPACK_PP_BITNOR_OO(par) MSGPACK_PP_BITNOR_I ## par
#define | MSGPACK_PP_BITNOR_I(x, y) MSGPACK_PP_BITNOR_ID(MSGPACK_PP_BITNOR_ ## x ## y)
#define | MSGPACK_PP_BITNOR_ID(id) id
#define | MSGPACK_PP_BITNOR_00 1
#define | MSGPACK_PP_BITNOR_01 0
#define | MSGPACK_PP_BITNOR_10 0
#define | MSGPACK_PP_BITNOR_11 0

## Macro Definition Documentation

## MSGPACK_PP_BITNOR

#define MSGPACK_PP_BITNOR | ( |  | x,
|  |  | y
| ) |  | MSGPACK_PP_BITNOR_OO((x, y))

## MSGPACK_PP_BITNOR_00

#define MSGPACK_PP_BITNOR_00 1

## MSGPACK_PP_BITNOR_01

#define MSGPACK_PP_BITNOR_01 0

## MSGPACK_PP_BITNOR_10

#define MSGPACK_PP_BITNOR_10 0

## MSGPACK_PP_BITNOR_11

#define MSGPACK_PP_BITNOR_11 0

## MSGPACK_PP_BITNOR_I

#define MSGPACK_PP_BITNOR_I | ( |  | x,
|  |  | y
| ) |  | MSGPACK_PP_BITNOR_ID(MSGPACK_PP_BITNOR_ ## x ## y)

## MSGPACK_PP_BITNOR_ID

#define MSGPACK_PP_BITNOR_ID | ( |  | id | ) | id

## MSGPACK_PP_BITNOR_OO

#define MSGPACK_PP_BITNOR_OO | ( |  | par | ) | MSGPACK_PP_BITNOR_I ## par